import { NestExpressApplication } from '@nestjs/platform-express';
const { ASSETS_URL } = process.env;

// 全局变量
const TEMPLATE_GLOBAL_VARS = {
  /**
   * 静态资源版本 home.js?v={version}
   */
  version: Date.now(),
  /**
   *! 开发环境由于 nestjs 静态资源服务器是 public 文件夹, 因此 ASSETS_URL 默认是 /, 部署到 cdn 后, 则修改为 cdn url
   */
  assets: ASSETS_URL,
};

/**
 * 遍历注入 全局变量 到模板引擎中
 */
export const injectTemplateVars = (app: NestExpressApplication) => {
  for (const [k, v] of Object.entries(TEMPLATE_GLOBAL_VARS)) {
    app.setLocal(k, v);
  }
};
