import { IVerifyCodeRequest } from 'src/dto/sms.dto';
import { IUserLoginRequest, IUserRequest } from '../../dto/user.dto';
import { axiosCommon as Request } from '../lib/request';

/**
 * 用户登录
 */
export const userLogin = (p: IUserLoginRequest) =>
  Request.post('/auth/user/login', p);

/**
 * 获取验证码
 */
export const getVerifyCode = (p: IVerifyCodeRequest) =>
  Request.post('/sms/verifycode', p);

/**
 * 用户注册
 */
export const createUser = (p: IUserRequest) => Request.post('/user/create', p);
